### Signal

# Panel SaveDelegate::save

since: 1

#### Declaration

    gboolean
    save (
      PanelSaveDelegate* self,
      GTask* task,
      gpointer user_data
    )

#### Description [src]

This signal can be used when subclassing `PanelSaveDelegate` is not possible or cumbersome. The default implementation of `PanelSaveDelegateClass`.save_async() will emit this signal to allow the consumer to implement asynchronous save in a flexible manner.

The caller is expected to complete `task` with a boolean when the save operation has completed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1

#### Parameters

`task`

  Type: `GTask`

  A `GTask`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the operation was handled.